wmmon(1)

NAME
wmmon - Window Maker dockapp for monitoring system information

SYNOPSIS
wmmon [ OPTION ]

DESCRIPTION
WMMon monitors the realtime CPU load as well as the average system load, and gives you some nice additional features too. It is intended for docking in Window Maker. It currently provides:

•   a realtime CPU stress meter;

•   an auto-scaled average system load meter, like xload and wmavgload;

•   hint lines change color as the system load increases.

    •   green for multiples of 1

    •   yellow for multiples of 10

    •   red for multiples of 100

•   a realtime disk I/O stress meter;

•   auto-scaled disk I/O load meter;

•   realtime memory and swap usage meters;

•   a display for system uptime;

•   three user-defined commands to launch.

OPTIONS

-display display
    This option specifies the X server to contact; see X(7x).

-geometry geometry
    This option specifies the preferred position of clock; see X(7x).

-l  Lock the mode, so that it cannot be cycled by clicking on the upper-left widget. You can use this to open multiple copies of WMMon, each set to a different mode.

-i  Start in disk I/O mode, which displays instantaneous disk usage and average disk load.

-b  Include buffers and cache in memory usage calculations. The trend in recent years has been to not include this in memory load monitors, but it can be useful information.

-s  Start in system information mode, which displays memory usage, swap usage, and uptime.

-h  Show help information.

-v  Print the version number.

USAGE
The WMMon display can be cycled between CPU, disk I/O, and system information displays by clicking on the upper-left widget. This displays CPU information by default. WMMon can also be used to launch programs. You may click either left, middle, or right mouse buttons in the average-load section of the window. The pre-configured program will be launched according to the mouse button clicked. (see CONFIGURATION FILE below.) In order to move WMMon, drag on the outer edges. These are not sensitive to mouse clicks.

DOCKING IN WINDOW MANAGERS

Window Maker
    Window Maker users should drag and drop the WMMon window on the Dock. Then, right-click on the border of the window and select “Settings...”. Check “Start when Window Maker is started”.

AfterStep
    AfterStep users should put the following in their $HOME/.steprc
    Wharf wmmon - MaxSwallow "wmmon" wmmon &

Other window managers
    WMMon runs nicely as a 64x64 shaped icon on your desktop.

CONFIGURATION FILE
WMMon can launch three user-defined commands, triggered by left, middle and right mouse button clicks. You can define the commands to launch in $HOME/.wmmonrc
    left: xterm
    middle: xload
    right: xcalc
If WMMon detects a $HOME/.wmmonrc file, it will launch the appropriate command when you click on the clock. The system administrator can define default commands in /etc/wmmonrc. The administrator may also choose to “fix” particular commands, making it impossible for users to change. These commands can be defined in /etc/wmmonrc.fixed, although this isn't a nice thing to do.

FILES
/etc/wmmonrc
$HOME/.wmmonrc
/etc/wmmonrc.fixed

AUTHORS
WMMon was written by Martijn Pieterse and Antoine Nulle. This manual page was written by Simon Law <sfllaw@debian.org> for the Debian system (but may be used by others). It is based on the documentation provided by the original program. This manual is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.